Bug 817044 - mkdumprd: Use --hostonly and --add <module> while calling dracut
mkdumprd: Use --hostonly and --add <module> while calling dracut
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Baoquan He
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 09:53 EDT by Vivek Goyal
Modified: 2013-02-25 03:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 03:53:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vivek Goyal 2012-04-27 09:53:41 EDT
Description of problem:

Currently kdump is using -m kdumpbase. Harald mentioned generally -m means that dracut should include modules only specified by -m and nothing else. He recommended that we use --add instead. I think it makes sense that we don't want
to know about all the modules and let dracut decide which modules to include.

It also has a flip side that dracut might include too many modules, I think we will have to do more research and debugging and sort out these issues slowly.

Also start using --hostonly. I noticed that in my virtual machine, size of
generated initramfs comes down if I am using --add and --hostonly.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2012-05-01 22:44:38 EDT
kexec-tools-2.0.3-46.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kexec-tools-2.0.3-46.fc17
Comment 2 Fedora Update System 2012-05-02 16:30:34 EDT
Package kexec-tools-2.0.3-46.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kexec-tools-2.0.3-46.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7056/kexec-tools-2.0.3-46.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-05-02 22:24:32 EDT
kexec-tools-2.0.3-47.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kexec-tools-2.0.3-47.fc17
Comment 4 Fedora Admin XMLRPC Client 2013-02-25 03:08:00 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2013-02-25 03:10:09 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.